Cactus
  1. Cactus
  2. CACTUS-170

Modify the Eclipse plugin to use the latest Ant integration.

    Details

    • Type: Task Task
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 1.7
    • Fix Version/s: None
    • Component/s: Eclipse Integration
    • Labels:
      None
    1. AntContainerManager.java
      16 kB
      Nicolas Karageuzian
    2. antIntgrationPatch3.0
      4 kB
      Garfield Heron

      Activity

      Hide
      Garfield Heron added a comment -

      Here is what I'm responding to:

      > ----Original Message----
      > From: Garfield-Heron GHeron@OfficeDepot.com
      > Sent: jeudi 5 mai 2005 21:00
      > To: Cactus Users List
      > Cc: Siu-Cheung.Chan@Empireblue.com
      > Subject: RE: Cactus & Eclipse Plug-in issue
      >
      > I fixed the plug-in to work with the 3.x but got frustrated in trying to
      > check in the changes.
      > I will try again when I get the time to resurrect that piece of code.

      Thanks Garfield, that would be very cool. Have you also modified it to use
      the Ant integration code (it was using very old Ant build scripts)?

      Thanks
      -Vincent

      Show
      Garfield Heron added a comment - Here is what I'm responding to: > ---- Original Message ---- > From: Garfield-Heron GHeron@OfficeDepot.com > Sent: jeudi 5 mai 2005 21:00 > To: Cactus Users List > Cc: Siu-Cheung.Chan@Empireblue.com > Subject: RE: Cactus & Eclipse Plug-in issue > > I fixed the plug-in to work with the 3.x but got frustrated in trying to > check in the changes. > I will try again when I get the time to resurrect that piece of code. Thanks Garfield, that would be very cool. Have you also modified it to use the Ant integration code (it was using very old Ant build scripts)? Thanks -Vincent
      Hide
      Garfield Heron added a comment -

      I got lazy and I was looking for the closest fit. Is there a JIRA for this issue? If so, direct me to it? If not, please direct as to how to proceed, i.e. do you create the issue of do I create the issue.

      Cheers
      -Garfield

      Show
      Garfield Heron added a comment - I got lazy and I was looking for the closest fit. Is there a JIRA for this issue? If so, direct me to it? If not, please direct as to how to proceed, i.e. do you create the issue of do I create the issue. Cheers -Garfield
      Hide
      Vincent Massol added a comment -

      Hi Garfield,

      I've just looked at your patch and I don't understand what's its relationship with this issue? This issue is about modifying the Eclipse plugin so that it uses the Ant integration code from jakarta-cactus/integration/ant...

      Thanks
      -Vincent

      Show
      Vincent Massol added a comment - Hi Garfield, I've just looked at your patch and I don't understand what's its relationship with this issue? This issue is about modifying the Eclipse plugin so that it uses the Ant integration code from jakarta-cactus/integration/ant... Thanks -Vincent
      Hide
      Garfield Heron added a comment -

      Vincent here is the patch that I indicated would make cactus run on eclipse 3.0.
      I have some reservations about the IExternalToolConstants interface. If you would, please direct me to the interface documentation.

      Show
      Garfield Heron added a comment - Vincent here is the patch that I indicated would make cactus run on eclipse 3.0. I have some reservations about the IExternalToolConstants interface. If you would, please direct me to the interface documentation.
      Hide
      Vincent Massol added a comment -

      Thanks a lot Nicolas but:

      1/ I think your patch is not related to this issue... Would you mind creating a new issue and attaching your patch there?
      2/ Could you please attach a real patch (i.e. in diff -u format) against CVS HEAD?

      Thanks a lot for your patch.

      Show
      Vincent Massol added a comment - Thanks a lot Nicolas but: 1/ I think your patch is not related to this issue... Would you mind creating a new issue and attaching your patch there? 2/ Could you please attach a real patch (i.e. in diff -u format) against CVS HEAD? Thanks a lot for your patch.
      Hide
      Nicolas Karageuzian added a comment -

      AntContainerManager running in eclipse 3.0
      replace the existing class with this one and plugin should work in latest Eclipse platform 3.0

      Show
      Nicolas Karageuzian added a comment - AntContainerManager running in eclipse 3.0 replace the existing class with this one and plugin should work in latest Eclipse platform 3.0

        People

        • Assignee:
          Unassigned
          Reporter:
          Vincent Massol
        • Votes:
          0 Vote for this issue
          Watchers:
          1 Start watching this issue

          Dates

          • Created:
            Updated:

            Development